package cn.iocoder.yudao.module.system.service.extra;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.extra.vo.ElderlyAbilityEvaluationPageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.extra.ElderlyExtraElderlyAbilityEvaluationDO;
import java.util.List;

public interface ElderlyExtraElderlyAbilityEvaluationService {
    Long create(ElderlyExtraElderlyAbilityEvaluationDO createReqVO);
    void update(ElderlyExtraElderlyAbilityEvaluationDO updateReqVO);
    void delete(Long id);
    PageResult<ElderlyExtraElderlyAbilityEvaluationDO> findPage(ElderlyAbilityEvaluationPageReqVO reqVO);
    ElderlyExtraElderlyAbilityEvaluationDO getDetail(Long id);
    List<ElderlyExtraElderlyAbilityEvaluationDO> getListByElderId(Long elderId);
}
